use rand::seq::SliceRandom;
use serde_json::Value;
use std::fs::File;
use std::io::BufReader;

fn main() {
    let file = File::open("team_names.json").expect("Unable to open JSON");
    let reader = BufReader::new(file);
    let v: Value = serde_json::from_reader(reader).expect("Unable to parse JSON");

    let team_names = v["team_names"].as_array().unwrap();

    let mut rng = rand::thread_rng();
    if let Some(chosen_name) = team_names.choose(&mut rng) {
        println!("Randomly chosen team name: {}", chosen_name);
    } else {
        println!("No team names available");
    }
}
